<?php
header("Access-Control-Allow-Origin: *");
header('Content-Type: application/json');
include 'conexion.php';
$atril = 1;
date_default_timezone_set('America/Bogota');
$empresa = DevolverUnDato("SELECT emp_id FROM empresa");
$sede = DevolverUnDato("SELECT IdSede  FROM sedes");
$fechaActual = DevolverUnDato("SELECT DATE(NOW())");
$turno = $_REQUEST["turno"];
$servicio2 = $_REQUEST["servicio"];
$idturno = $_REQUEST["idturno"];
$idservicio = $_REQUEST["idservicios"];
$idpersona = DevolverUnDato("SELECT IdPersona FROM auditoria WHERE IdAuditoria = $idturno");
$datospersona = DevolverUnArreglo("SELECT * FROM personas WHERE IdPersona = $idpersona");
$Telefono = $datospersona[0]["Telefono"];
$nombre = $datospersona[0]["NombreCompleto"];
$turnosfaltan = DevolverUnDato("SELECT COUNT(*) FROM auditoria WHERE IdSede = '".$sede."' and emp_id = '".$empresa."' and FechaLlegada BETWEEN '$fechaActual 00:00:00' AND '$fechaActual 23:59:59' and Estado = 'NORMAL' and IdServicio = '".$idservicio."' and IdAuditoria < '$idturno'");
$tiempomax = DevolverUnDato("SELECT tiempomax FROM servicio WHERE IdServicio = $idservicio");
$asesoresatend = DevolverUnDato("SELECT COUNT(*) FROM (SELECT Cedula FROM usuario JOIN relacionususer WHERE usuario.Estado = 'DISPONIBLE' AND relacionususer.IdServicio = '".$idservicio."' GROUP BY usuario.IdUsuario) num;");
if ($asesoresatend == "0") {
    $tiempofaltante =  ($turnosfaltan * $tiempomax);
}else{
    $tiempofaltante =  ($turnosfaltan * $tiempomax) / $asesoresatend;
    $tiempofaltante = intval($tiempofaltante);
}
$nombre = ucfirst($nombre);


if ($tiempofaltante == "0") {
    $auth_basic = base64_encode("soporte_software@ingetronik.com:W5BPcFZWdxBr");
    
    $curl = curl_init();
    //$Telefono = '3104278795';
    curl_setopt_array($curl, array(
        CURLOPT_URL => "https://api.labsmobile.com/json/send",
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => "",
        CURLOPT_MAXREDIRS => 10,
        CURLOPT_TIMEOUT => 30,
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => "POST",
        CURLOPT_POSTFIELDS => '{"message":"Sr@ '.$nombre.' su turno es el '.$turno.' del servicio '.$servicio2.', en breve sera atendido.", "tpoa":"Sender","recipient":[{"msisdn":"'.$Telefono.'"}]}',
        // CURLOPT_POSTFIELDS => '{"message":"Sr@. '.$Nombre. ' su turno esta proximo a ser llamado.", "tpoa":"Sender","recipient":[{"msisdn":"'.$Telefono.'"}]}',
        CURLOPT_HTTPHEADER => array(
            "Authorization: Basic " . $auth_basic,
            "Cache-Control: no-cache",
            "Content-Type: application/json"
        ),
    ));

    $response = curl_exec($curl);
    $err = curl_error($curl);

    curl_close($curl);

    if ($err) {
        echo "cURL Error #:" . $err;
    } else {
        echo $response;
    }
}else{
        $auth_basic = base64_encode("soporte_software@ingetronik.com:W5BPcFZWdxBr");
    
    $curl = curl_init();
    //$Telefono = '3104278795';
    curl_setopt_array($curl, array(
        CURLOPT_URL => "https://api.labsmobile.com/json/send",
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => "",
        CURLOPT_MAXREDIRS => 10,
        CURLOPT_TIMEOUT => 30,
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => "POST",
        CURLOPT_POSTFIELDS => '{"message":"Sr@ '.$nombre.' su turno es el '.$turno.' del servicio '.$servicio2.', en '.$tiempofaltante.' minutos sera atendido.", "tpoa":"Sender","recipient":[{"msisdn":"'.$Telefono.'"}]}',
        // CURLOPT_POSTFIELDS => '{"message":"Sr@. '.$Nombre. ' su turno esta proximo a ser llamado.", "tpoa":"Sender","recipient":[{"msisdn":"'.$Telefono.'"}]}',
        CURLOPT_HTTPHEADER => array(
            "Authorization: Basic " . $auth_basic,
            "Cache-Control: no-cache",
            "Content-Type: application/json"
        ),
    ));

    $response = curl_exec($curl);
    $err = curl_error($curl);

    curl_close($curl);

    if ($err) {
        echo "cURL Error #:" . $err;
    } else {
        echo $response;
    }
}

//}
?>